import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import {scaleOrdinal  } from 'd3';
import { useMassGeo } from './useMassGeo';
import { useCountyData } from './useCountyData';
import { Marks } from './Marks';

const width = 960;
const height = 500;

const App = () => {
  const MassGeo = useMassGeo();
  const CountyData =useCountyData();

  if (!MassGeo||!CountyData) {
    return <pre>Loading...</pre>;
  }

 
 //console.log(CountyData);
 // console.log(MassGeo.features[0].properties.TOWN)
  //console.log(MassGeo.features.properties.TOWN)
   const colorValue = d => d.county; 
    const colorScale = scaleOrdinal()
    .domain(CountyData.map(colorValue))
    .range(['red', 'maroon', 'yellow', 'olive', 'lime', 'green', 'aqua', 'teal', 'blue', 'navy', 'fuchsia', 'purple', 'black', 'grey']);
		
  //console.log (colorScale('Essex'))
  //console.log(CountyData[0])
  
  const getCounty = town => {
  for(let i = 0; i < CountyData.length; i++){
    if(CountyData[i].town.toUpperCase() === town.toUpperCase()){
      return CountyData[i].county;
    }
  }
};
  //console.log(getCounty("Shrewsbury"))
  return (
    <svg width={width} height={height}>
     
        <Marks
          MassGeo={MassGeo}
          CountyData = {CountyData}
          colorScale = {colorScale}
          getCounty = {getCounty}
        />
     
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
